#if ( TRACE == 1) || ( TRACE == 3 )

extern	void	initMemTrace( void );
extern	void	traceMem( void );
extern	void*	Tmalloc( int, int, char*, char* );
extern	void	Tfree( void*, int, char*, char* );
extern	void*	Trealloc( void*, int, int, char*, char* );

#define	malloc( x )	Tmalloc( x, __LINE__, __FILE__, NULL )
#define	free( p ) Tfree( p, __LINE__, __FILE__, NULL )
#define	realloc( p, x ) Trealloc( p, x, __LINE__, __FILE__, NULL )

#else

#include <malloc.h>

#define	Tmalloc( x, p1, p2, p3 )	malloc( x )
#define	Tfree( p, p1, p2, p3 ) free( p )
#define	Trealloc( p, x, p1, p2, p3 ) realloc( p, x )

#endif
